List all playbooks.
curl --request GET \
--url https://api.devin.ai/v3/enterprise/playbooks \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/playbooks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/playbooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"body": "<string>",
"created_at": 123,
"created_by": "<string>",
"macro": "<string>",
"org_id": "<string>",
"playbook_id": "<string>",
"title": "<string>",
"updated_at": 123,
"updated_by": "<string>",
"structured_output_schema": {}
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Playbooks (Enterprise)
List all playbooks.
GET
/
v3
/
enterprise
/
playbooks
List all playbooks.
Permissions
Requires a service user with theManageAccountPlaybooks permission at the enterprise level.Authorizations
Service User credential (prefix: cog_)
Response
Successful Response
Show child attributes
Show child attributes
Cursor to fetch the next page, or None if this is the last page.
Whether there are more items available after this page.
Optional total count (can be omitted for performance).
⌘I

